% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/calibration.R
\docType{class}
\name{calibration-class}
\alias{calibration-class}
\title{calibration class object}
\value{
objects of the S3 class '\code{calibration}'
}
\description{
The functions \code{\link{calibration}} returns an object of the class \code{calibration}.

An object of class '\code{calibration}' is a list with at least the following components:
\describe{
\item{stepfun}{estimated step-functions (see \code{stepfun}) for each class}
\item{classes}{the unique classes}
\item{model}{model/method type (string)}
\item{xy}{list of data.frame's with predictions (pr) and estimated probabilities of success (only for 'bin' method)}
}
}
\section{S3 generics}{

The following S3 generic functions are available for an object of class \code{targeted}:
\describe{
\item{\code{predict}}{Apply calibration to new data.}
\item{\code{plot}}{Plot the calibration curves (reliability plot).}
\item{\code{print}}{Basic print method.}
}
}

\examples{
## See example(calibration) for examples
}
\seealso{
\code{\link{calibration}}, \code{\link{calibrate}}
}
